Werk #5276

KomponenteAgent Bakery
Titelcmk-update-agent: Restore compatibility to older python versions (Regression since 1.4.0p25)
Datum2018-04-16 13:22:18
Check_MK EditionCheck_MK Enterprise Edition (CEE)
Check_MK Version1.4.0p31
Level1 - Trivial Change
KlasseBug Fix
KompatibilitätKompatibel- benötigt keine manuelles eingreifen

This werk fixes an issue that occurs when cmk-update-agent is executed with a Python version of 2.5 or earlier. It would crash with an error message like


except IOError as exc:

^

SyntaxError: invalid syntax